<?php
// Fill $message, and show it in the HTML.
$message = '';
if (!isset($_POST['best-animal'])) {
    // Nothing selected.
    $message = "You didn't choose any animals.\n";
}
if ($message == '') {
    // Test whether just the (Choose) option was chosen.
    $chosen = $_POST['best-animal'];
    if (count($chosen) == 1 && $chosen[0] == 'none') {
        $message = "You didn't choose any animals.\n";
    }
}
if ($message == '') {
    // User chose animals.
    $message = "<p>You chose:</p>\n<ul>\n";
    foreach ($chosen as $animal) {
        // Skip the none option.
        if ($animal != 'none') {
            $animal = ucfirst($animal);
            $message .= "<li>$animal</li>\n";
        }
    }
    $message .= "</ul>\n";
}?>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Best animals</title>
        <link rel="stylesheet" href="library/styles.css">
    </head>
    <body>
        <h1>Best animals</h1>
        <p><?= $message ?></p>
    </body>
</html>
